# CampaignCode

### Object description

| Field          | Type       | Required | Description                                                                                      |
| -------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------ |
| clientId       | ClientId   | Yes      | Which customers will apply                                                                       |
| campaignId     | CampaignId | Yes      | Campaign strategy number                                                                         |
| clientCardCode | String     | Yes      | <p>Client card machine readable code. </p><p>Default <code>00000000</code> - Applies for all</p> |

## Enum type possible values

| Client ID |                                                          |
| --------- | -------------------------------------------------------- |
| C         | Clients how has client card                              |
| U         | All customers (with client card and without client card) |
| B         | Only unauthorized customers                              |

| Campaign ID                        |                                               |
| ---------------------------------- | --------------------------------------------- |
| AMOUNT\_MODIFICATION               | Amount modification campaign                  |
| AMOUNT\_BASED\_UNIT\_PRICE         | Amount based unit price modification campaign |
| TOTAL\_MODIFICATION                | Total price modification campaign             |
| AMOUNT\_BASED\_TOTAL\_MODIFICATION |                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.smarts.ee/general/data-object-description/campaigncode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
